from django.db import models
from tinymce.models import HTMLField
from admin_ordering.models import OrderableModel

# Create your models here.


class MBKB(OrderableModel):
    published = models.BooleanField('Wpis opublikowany', default=True)
    show_title = models.BooleanField('Pokaż tytuł', default=True)
    title = models.CharField('Tytuł', default='', blank=True, max_length=250)
    content = HTMLField('Tekst', default='', blank=True)

    def __str__(self):
        return self.title or '(brak tytułu)'

    class Meta(OrderableModel.Meta):
        verbose_name = 'Artykuł MBKB'
        verbose_name_plural = 'Artykuły MBKB'
